Subject: bug#14843: 24.3.50; `line-move', `line-move-visual' need doc strings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jul 2013 12:19:12 +0300

> Date: Fri, 12 Jul 2013 01:26:38 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Perhaps it is also a small wonder that NONE of the uses of `line-move',
> > > including those in simple.el itself, make ANY USE of the additional
> > > parameters introduced in Emacs 22 (and not used even in 22).
> > 
> > That's not true.  These arguments are used by next-line and previous
> > line.
> 
> Yes and no.  One of them is used; the other (TO-END) is not.

It is documented to be unused.

> But you're missing the point.  Neither is used in any of the zillion uses
> of `line-move' - other than `(next|previous)-line'.  And that lends some
> support to the idea that those programming those uses might not have even
> understood these undocumented parameters.

The arguments to next/previous-line are all documented now.